# Class Configuration#getTimeZoneList

Configuration

- Defined in: configuration.js

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Configuration#getTimeZoneList(successCallback, errorCallback) Gets list of time zone supported on signage monitor.

## Class Detail

Configuration#getTimeZoneList(successCallback, errorCallback)
Gets list of time zone supported on signage monitor.

    // Javascript code
    function getTimeZoneList () {
      function successCb(cbObject) {

         for (var i = cbObject.timeZone.length-1; i>=0; i--) {
             console.log("timeZone [" + i + "].continent : " + cbObject.timeZone[i].continent);
             console.log("timeZone [" + i + "].country : " + cbObject.timeZone[i].country);
             console.log("timeZone [" + i + "].city : " + cbObject.timeZone[i].city);

         }

         // Do something

      }

      function failureCb(cbObject) {
         var errorCode = cbObject.errorCode;
         var errorText = cbObject.errorText;
         console.log ("Error Code [" + errorCode + "]: " + errorText);
      }

      var configuration = new Configuration();
      configuration.getTimeZoneList(successCb, failureCb);
    }

Parameters:
{Function} successCallback
  success callback function.
{Function} errorCallback
  failure callback function.

Since:
  1.3
Returns:
  {Object}

  Property | Type | Description | Required
  --- | --- | --- | ---
  timeZone[] | Array |  | required
  timeZone[].continent | String | continent | required
  timeZone[].country | String | country | required
  timeZone[].city | String | city | required

See:
  Configuration.setTimeZone()
  Configuration.getTimeZone()